Subject: [bug#43101] [PATCH] Add version number in release ISO

From: Julien Lepiller <[email-masked]>
Date: Sun, 30 Aug 2020 10:35:24 -0400

Le 30 août 2020 09:47:04 GMT-04:00, "Ludovic Courtès" <[email-masked]> a écrit :
>Hi,
>
>Julien Lepiller <[email-masked]> skribis:
>
>> I've recently proposed a patch to libosinfo database, and they
>> suggested that we add the version number to the ISO label, so the
>tool
>> can differentiate and identify the ISOs. See
>> https://gitlab.com/libosinfo/osinfo-db/-/merge_requests/202
>
>Good idea.
>
>>>>From a6d4cb90825b9e45c0baeaeaa653c57a9100b21a Mon Sep 17 00:00:00
>2001
>> From: Julien Lepiller <[email-masked]>
>> Date: Sat, 29 Aug 2020 15:34:56 +0200
>> Subject: [PATCH 1/2] guix: system: Add `--label' option.
>>
>> * guix/scripts/system.scm (%options): Add `--label'.
>
>Please describe the other changes (to ‘system-derivation-for-action’,
>etc.)
>
>> +        (partitions (match (image-partitions base-image)
>> +                      ((boot others ...)
>> +                       (cons
>> +                         ((@ (gnu image) partition)
>> +                           (inherit boot)
>> +                           (label (or label (partition-label
>boot))))
>
>Please include (gnu image) and avoid ‘@’.

(gnu image) is already imported, but conflicts with another module for partition, leading to a compilation error. What should I do?

>
>> +  (display (G_ "
>> +      --label=LABEL      for 'disk-image', label disk image with
>LABEL"))
>
>Make sure to add it to doc/guix.texi as well.
>
>>>>From cd47229d93b6dd0d7a793230e6a103a40034f6a7 Mon Sep 17 00:00:00
>2001
>> From: Julien Lepiller <[email-masked]>
>> Date: Sat, 29 Aug 2020 15:36:40 +0200
>> Subject: [PATCH 2/2] Makefile.am: Set iso label.
>>
>> * Makefile.am (release): Add version number in disk image label.
>
>LGTM.

I'll add the architecture in there too, as per discussion in the osinfo-db MR.

>Thank you!  :-)
>Ludo’.